Package org.apache.avro.grpc

# Class AvroRequestMarshaller

java.lang.Object
org.apache.avro.grpc.AvroRequestMarshaller

All Implemented Interfaces:
  `io.grpc.MethodDescriptor.Marshaller<Object[]>`

public class AvroRequestMarshaller extends Object implements io.grpc.MethodDescriptor.Marshaller<Object[]>
Marshaller for Avro RPC request.

## Constructor Summary

Constructors
Constructor
Description
`AvroRequestMarshaller(org.apache.avro.Protocol.Message message)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`parse(InputStream stream)`
`InputStream`
`stream(Object[] value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AvroRequestMarshaller

public AvroRequestMarshaller(org.apache.avro.Protocol.Message message)

## Method Details

### stream

public InputStream stream(Object[] value)

Specified by:
  `stream` in interface `io.grpc.MethodDescriptor.Marshaller<Object[]>`

### parse

public Object[] parse(InputStream stream)

Specified by:
  `parse` in interface `io.grpc.MethodDescriptor.Marshaller<Object[]>`